This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 108176 - Remove deprecated methods in c.a.persistence.DataAssociation
Summary: Remove deprecated methods in c.a.persistence.DataAssociation
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-10-28 11:45 UTC by Daniel Berrange
Modified: 2007-04-18 16:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-03 18:35:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2003-10-28 11:45:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
A bunch of the methods in com.arsdigita.persistence.DataAssociation have been
deprecated for 3 releases now, in favour of equivalent methods in
DataAssociationCursor. These deprecated methods should be deleted & the class
hiearchy changed such that it no longer extends DataCollection.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Write some code that calls DataAssociation#next
2.
3.
    

Actual Results:  Deprecation warnings are displayed

Expected Results:  Compilation errors are thrown

Additional info:

Comment 2 Vadim Nasardinov 2005-08-03 18:35:58 UTC
stale


Note You need to log in before you can comment on or make changes to this bug.